Create a policy recommendation for a contract
post
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractDeviatingClauses/{Id}/child/ContractPolicyDeviation/{Id2}/child/ContractPolicyRecommendation
Request
Path Parameters
-
Id(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Id2(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ApprovalAuthority: string
Maximum Length:
120The approval authority of the policy recommendation. -
ApprovalRequiredFlag: boolean
Maximum Length:
1The approval required indicator of the policy recommendation. -
Id: integer
(int64)
The ID of the policy recommendation.
-
ObjectVersionNumber: integer
(int32)
The object version number of the policy recommendation.
-
PolicyDeviationId: integer
(int64)
The policy deviation ID of the policy recommendation.
-
PositionText: string
Maximum Length:
4000The position text of the policy recommendation. -
RecImplementedBy: string
Maximum Length:
64The recommendation implemented by of the policy recommendation. -
RecImplementedFlag: boolean
Maximum Length:
1The recommendation implemented flag of the policy recommendation. -
RecommendationText: string
(byte)
The recommendation text of the policy recommendation.
-
RecommendationType: string
Maximum Length:
32The recommendation type of the policy recommendation. -
RecommendationTypeMeaning: string
Maximum Length:
80The recommendation type meaning of the policy recommendation. -
RecommendedBy: string
Maximum Length:
64The recommended by of the policy recommendation. -
RecommendedFlag: boolean
Maximum Length:
1The recommended indicator of the policy recommendation. -
SeverityCode: string
Maximum Length:
30The severity code of the policy recommendation. -
SeverityCodeMeaning: string
Maximum Length:
80The severity code meaning of the policy recommendation.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractDeviatingClauses-ContractPolicyDeviation-ContractPolicyRecommendation-item-response
Type:
Show Source
object-
ApprovalAuthority: string
Maximum Length:
120The approval authority of the policy recommendation. -
ApprovalRequiredFlag: boolean
Maximum Length:
1The approval required indicator of the policy recommendation. -
CreatedBy: string
Read Only:
trueMaximum Length:64The created by of the policy recommendation. -
CreationDate: string
(date-time)
Read Only:
trueThe creation date of the policy recommendation. -
Id: integer
(int64)
The ID of the policy recommendation.
-
LastUpdateDate: string
(date-time)
Read Only:
trueThe last update date of the policy recommendation. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The last updated by of the policy recommendation. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The last update login of the policy recommendation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
The object version number of the policy recommendation.
-
PolicyDeviationId: integer
(int64)
The policy deviation ID of the policy recommendation.
-
PositionText: string
Maximum Length:
4000The position text of the policy recommendation. -
RecImplementedBy: string
Maximum Length:
64The recommendation implemented by of the policy recommendation. -
RecImplementedFlag: boolean
Maximum Length:
1The recommendation implemented flag of the policy recommendation. -
RecommendationText: string
(byte)
The recommendation text of the policy recommendation.
-
RecommendationType: string
Maximum Length:
32The recommendation type of the policy recommendation. -
RecommendationTypeMeaning: string
Maximum Length:
80The recommendation type meaning of the policy recommendation. -
RecommendedBy: string
Maximum Length:
64The recommended by of the policy recommendation. -
RecommendedFlag: boolean
Maximum Length:
1The recommended indicator of the policy recommendation. -
SeverityCode: string
Maximum Length:
30The severity code of the policy recommendation. -
SeverityCodeMeaning: string
Maximum Length:
80The severity code meaning of the policy recommendation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.